# Uses of Enum Class
org.apache.sysds.parser.Expression.RelationalOp

Packages that use Expression.RelationalOp
Package
Description
org.apache.sysds.parser

## Uses of Expression.RelationalOp in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Expression.RelationalOp
Modifier and Type
Method
Description
`Expression.RelationalOp`
RelationalExpression.`getOpCode()`
`static Expression.RelationalOp`
Expression.`getRelationalOp(String val)`
Convert string value to relational operator.
`static Expression.RelationalOp`
Expression.RelationalOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.RelationalOp[]`
Expression.RelationalOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.parser with parameters of type Expression.RelationalOp
Modifier
Constructor
Description
``
`RelationalExpression(Expression.RelationalOp bop)`
``
`RelationalExpression(Expression.RelationalOp bop, ParseInfo parseInfo)`